FreeBSD : gallery -- remote code injection via HTTP_POST_VARS (12b1a62d-6056-4d90-9e21-45fcde6abae4)

Medium Nessus Plugin ID 18846


The remote FreeBSD host is missing a security-related update.


A web server running Gallery can be exploited for arbitrary PHP code execution through the use of a maliciously crafted URL.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 18846

File Name: freebsd_pkg_12b1a62d60564d909e2145fcde6abae4.nasl

Version: $Revision: 1.11 $

Type: local

Published: 2005/07/13

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:gallery, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2005/06/17

Vulnerability Publication Date: 2004/01/27

Reference Information

CVE: CVE-2004-2124